Siduction Forum

Siduction Forum => Upgrade Warnings (DE / EN) => Topic started by: famschill on 2022/03/30, 14:22:11

Title: Broken packages after updating python to 3.10.
Post by: famschill on 2022/03/30, 14:22:11
Hi,
after updating is done for python 3.10, some packages are broken because of
missing depedencies, e.g. samba was automatically deinstalled and can
not be installed even today, March, 30 2022

Here the list of the packages on my system which were automatically removed
because of not satisfied python version 3.9

Log started: 2022-03-27  22:54:24

borgbackup (1.2.0-1) ...
bup (0.32-3) ...
gvfs-backends (1.50.0-1) ...
kdenetwork-filesharing (4:21.12.3-1) ...
kicad (6.0.4+dfsg-1) ...
kio-extras (4:21.12.3-1) ...
kodi-visualization-spectrum:amd64 (19.0.0+ds1-2) ...
kodi (2:19.3+dfsg1-1+b1) ...
kodi-bin (2:19.3+dfsg1-1+b1) ...
libreoffice (1:7.3.1-1+b2) ...
libreoffice-script-provider-python (1:7.3.1-1) ...
vlc-plugin-samba:amd64 (3.0.17.3-1) ...
smbclient (2:4.13.14+dfsg-1+b2) ...
mplayer (2:1.4+ds1-3+b1) ...
samba (2:4.13.14+dfsg-1+b2) ...
samba-common-bin (2:4.13.14+dfsg-1+b2) ...
python3-samba (2:4.13.14+dfsg-1+b2) ...
samba-vfs-modules:amd64 (2:4.13.14+dfsg-1+b2) ...
python3-smbc (1.0.23-2+b1) ...
python3-tdb (1.4.6-2) ...
python3-uno (1:7.3.1-1+b2) ...
samba-dsdb-modules:amd64 (2:4.13.14+dfsg-1+b2) ...
libsmbclient:amd64 (2:4.13.14+dfsg-1+b2) ...
samba-libs:amd64 (2:4.13.14+dfsg-1+b2) ...
python3-ldb (2:2.2.3-2+b1) ...
python3-talloc:amd64 (2.3.3-3) ...

Trying to reinstall samba lead to (German!):

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 samba : Hängt ab von: python3 (< 3.10) aber 3.10.4-1 soll installiert werden
         Hängt ab von: python3-samba soll aber nicht installiert werden
         Hängt ab von: samba-common-bin (= 2:4.13.14+dfsg-1+b2) soll aber nicht installiert werden
         Empfiehlt: samba-dsdb-modules soll aber nicht installiert werden
         Empfiehlt: samba-vfs-modules soll aber nicht installiert werden

Any suggestions what do do?

Thanx!
Title: Re: Broken packages after updating python to 3.10.
Post by: der_bud on 2022/03/30, 14:55:21
In the Future please always read the "Upgrade Warnings" subsection in the Forum before dist-upgrading, the Python Transition was announced: https://forum.siduction.org/index.php?topic=8572.0
And don't hit just "y" or enter when apt tells you it is going to remove stuff, if you can't clearly see why and what and if something as replacement is coming in.
The suggestion for now, I think, you have to wait until the python transition is done before you can reinstall the stuff that you removed.
Title: Re: Broken packages after updating python to 3.10.
Post by: axt on 2022/03/30, 17:04:32
Quote
In the Future please always read the "Upgrade Warnings"

ACK.

Also, you should read the output in the terminal before confirming the command execution.
Title: Re: Broken packages after updating python to 3.10.
Post by: GoinEasy9 on 2022/03/30, 17:55:12
Hi famschill

Actually you can use "apt install" to reinstall most of the applications on your list.   
   
These 3 are still waiting for me for fixes:
python3-samba 
samba-common-bin 
kdenetwork-filesharing


And python3-gpg is still looking to be removed.

Use "apt upgrade" instead of :apt full-upgrade" until python transition is over

Title: Re: Broken packages after updating python to 3.10.
Post by: eriefisher on 2022/04/02, 01:26:26
Looks like, at least for me, the python issue is done. I blindly let an update happen, something I don't normally do without looking first, and it screwed up a few things. I have been able to correct the problems now.